#!/bin/sh

# 复制项目的文件到对应docker路径，便于一键生成镜像。
usage() {
	echo "Usage: sh copy.sh"
	exit 1
}


# copy sql
echo "begin copy sql "
cp ../sql/ry_20230706.sql ./mysql/db
cp ../sql/ry_config_20220929.sql ./mysql/db

# copy html
echo "begin copy html "
cp -r ../flossom-ui/dist/** ./nginx/html/dist


# copy jar
echo "begin copy flossom-gateway "
cp ../flossom-gateway/target/flossom-gateway.jar ./flossom/gateway/jar

echo "begin copy flossom-auth "
cp ../flossom-auth/target/flossom-auth.jar ./flossom/auth/jar

echo "begin copy flossom-visual "
cp ../flossom-visual/flossom-monitor/target/flossom-visual-monitor.jar  ./flossom/visual/monitor/jar

echo "begin copy flossom-modules-system "
cp ../flossom-modules/flossom-system/target/flossom-modules-system.jar ./flossom/modules/system/jar

echo "begin copy flossom-modules-file "
cp ../flossom-modules/flossom-file/target/flossom-modules-file.jar ./flossom/modules/file/jar

echo "begin copy flossom-modules-job "
cp ../flossom-modules/flossom-job/target/flossom-modules-job.jar ./flossom/modules/job/jar

echo "begin copy flossom-modules-gen "
cp ../flossom-modules/flossom-gen/target/flossom-modules-gen.jar ./flossom/modules/gen/jar

